<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number18</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.18:</b>Write a JavaScript program to check two given numbers and return true if one of the number is 50 or if their sum is 50.</p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: 100px;">
	<input type="number" id="num1" placeholder="Enter First Number">
	<input type="number" id="num2" placeholder="Enter Second Number" style="margin-left: 20px;"> <br>
	<input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 20px;">
		
		<pre id="demo"></pre>
		
	</div>
	
	<script>
	function generate () {
		var a = + document.getElementById('num1').value;
		var b = + document.getElementById('num2').value;
		var c = a + b;
		if ( a == 50 || b == 50 || c == 50 ) {
			document.getElementById('demo').innerHTML=
				"True"
		} else {
			document.getElementById('demo').innerHTML=
				"False"
		}
		
		
	}
	
	</script>
	
	
</body>
</html>
